CREATE TABLE hwr_contact_info_b (
    CONTACT_INFO_ID         VARCHAR2(2000),
    SOURCE_ID               NUMBER(18, 0) ,
    ADDRESS                 VARCHAR2(4000),
    EMAIL                   VARCHAR2(3200),
    HASHING_TYPE            VARCHAR2(400) ,
    ONLINE_ACCOUNT          VARCHAR2(1020),
    ONLINE_ACCT_HOMEPAGE    VARCHAR2(4000),
    PHONE                   VARCHAR2(800) ,
    URL                     VARCHAR2(4000),
    CREATED_BY              VARCHAR2(256)     NOT NULL,
    CREATION_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY         VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN       VARCHAR2(128) ,
    LATITUDE                NUMBER        ,
    LONGITUDE               NUMBER        ,
    ADDRESS_LINE_1          VARCHAR2(960) ,
    ADDRESS_LINE_2          VARCHAR2(960) ,
    ADDRESS_LINE_3          VARCHAR2(960) ,
    ADDRESS_LINE_4          VARCHAR2(960) ,
    BUILDING                VARCHAR2(960) ,
    FLOOR_NUMBER            VARCHAR2(160) ,
    TOWN_OR_CITY            VARCHAR2(512) ,
    REGION_1                VARCHAR2(480) ,
    REGION_2                VARCHAR2(480) ,
    REGION_3                VARCHAR2(480) ,
    COUNTRY                 VARCHAR2(240) ,
    POSTAL_CODE             VARCHAR2(120) ,
    LONG_POSTAL_CODE        VARCHAR2(120) ,
    TIMEZONE_CODE           VARCHAR2(200) ,
    DERIVED_LOCALE          VARCHAR2(960) ,
    CONTACT_INFO_REPO       NUMBER(18, 0) ,
    CONTACT_INFO_ID         VARCHAR2(2000),
    SOURCE_ID               NUMBER(18, 0) ,
    ADDRESS                 VARCHAR2(4000),
    EMAIL                   VARCHAR2(3200),
    HASHING_TYPE            VARCHAR2(400) ,
    ONLINE_ACCOUNT          VARCHAR2(1020),
    ONLINE_ACCT_HOMEPAGE    VARCHAR2(4000),
    PHONE                   VARCHAR2(800) ,
    URL                     VARCHAR2(4000),
    CREATED_BY              VARCHAR2(256)     NOT NULL,
    CREATION_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY         VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN       VARCHAR2(128) ,
    LATITUDE                NUMBER        ,
    LONGITUDE               NUMBER        ,
    ADDRESS_LINE_1          VARCHAR2(960) ,
    ADDRESS_LINE_2          VARCHAR2(960) ,
    ADDRESS_LINE_3          VARCHAR2(960) ,
    ADDRESS_LINE_4          VARCHAR2(960) ,
    BUILDING                VARCHAR2(960) ,
    FLOOR_NUMBER            VARCHAR2(160) ,
    TOWN_OR_CITY            VARCHAR2(512) ,
    REGION_1                VARCHAR2(480) ,
    REGION_2                VARCHAR2(480) ,
    REGION_3                VARCHAR2(480) ,
    COUNTRY                 VARCHAR2(240) ,
    POSTAL_CODE             VARCHAR2(120) ,
    LONG_POSTAL_CODE        VARCHAR2(120) ,
    TIMEZONE_CODE           VARCHAR2(200) ,
    DERIVED_LOCALE          VARCHAR2(960) ,
    CONTACT_INFO_REPO       NUMBER(18, 0) ,
    CONSTRAINT pk_hwr_contact_info_b PRIMARY KEY (CONTACT_INFO_ID, SOURCE_ID, CONTACT_INFO_ID, SOURCE_ID)
);
